package com.docus.webservice.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * <p>
 * 病案基本信息扩展表
 * </p>
 *
 * @author jiashi
 * @since 2022-06-13
 */
@Data
@EqualsAndHashCode
@ApiModel(value="TBasicExtend对象", description="病案基本信息扩展表")
public class TBasicExtend {
    @ApiModelProperty(value = "病案主键")
    @TableId(value = "patient_id", type = IdType.ASSIGN_ID)
    private String patientId;
    @ApiModelProperty(value = "报销政策代码")
    private String claimPolicyCode;
    @ApiModelProperty(value = "报销政策名称")
    private String claimPolicyName;
    @ApiModelProperty(value = "医保结算类型代码")
    private String mioSettleTypeCode;
    @ApiModelProperty(value = "医保结算类型名称")
    private String mioSettleTypeName;
    @ApiModelProperty(value = "责任护士")
    private String dutyNurse;
    @ApiModelProperty(value = "预住院流水号")
    private String preJzh;
}
