package com.docus.webservice.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.docus.webservice.entity.TBasic;
import com.docus.webservice.entity.TBasicExtend;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 病案基本信息 服务类
 * </p>
 *
 * @author jiashi
 * @since 2021-04-14
 */
public interface ITBasicService extends IService<TBasic> {
    void savaAndSub(TBasic tBasic, HashMap<String, Object> tBasicSubMap,String preJzh);

    void OutSavaAndSub(TBasic tBasic, HashMap<String, Object> tBasicSubMap, TBasicExtend tBasicExtend);

    void updateAndSub(TBasic tBasic, HashMap<String, Object> tBasicSubMap,String preJzh);

    void OutUpdateAndSub(TBasic tBasic, HashMap<String, Object> tBasicSubMap,TBasicExtend tBasicExtend);

    //合并预住院病历
    void mergePreRecords(String startDate,String endDate);

    void merge(Map<String, Object> patientId);
}
