package com.docus.webservice.enums;

/**
 * 代码库
 */
public enum Codes {
    //接口成功
    SUCCESS("0", "成功"),
    //接口失败
    ERROR("1", "失败"),
    //web service返回根节点
    RESPONSE("100","Response"),
    //web service返回二级节点
    RET_INFO("101","RetInfo"),
    //web service 返回代码
    RET_CODE("102","RetCode"),
    //web service返回描述部分
    RET_CON("103","RetCon"),
    //web service 服务名
   // EXTERNAL("9201","docus_tBasic_data"),
    //静态文件存放位置   住院
    JSON_ADDRESS("999","\\dataConfig\\In\\homeQualitySet.json"),
    //静态文件存放位置   出院
    JSON_OUT_ADDRESS("999","\\dataConfig\\Out\\homeQualitySet.json"),
    //静态文件存放位置   封存
    JSON_SEAL_ADDRESS("999","\\dataConfig\\seal\\homeQualitySet.json"),
    //接收二级节点
    MSG("201","Msg"),
    //错误日志编号
    ERROR_CODE("500","12"),
    //接收三级节点
//    PAT_INFO("202","PatInfo"),
    //静态文件根元素名
    SELECT_COLUMNS("10000","selectColumns"),
    //collectList静态文件根元素名
    JSON_COLLECTLIST("800","\\dataConfig\\In\\collectList.json"),
    JSON_OUT_COLLECTLIST("800","\\dataConfig\\Out\\collectList.json"),
    JSON_TASK_COUNT("801","task_count"),
    JSON_COLLECTLIST_ROOT("802","collectList");
    //代码
    private String code;
    //描述
    private String message;

    private Codes(String code, String messgae) {
        this.code = code;
        this.message = messgae;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
