package com.docus.webservice.handler;

import javax.jws.WebMethod;
import javax.jws.WebService;

@WebService
public interface ITBasicWebService {

    /**
     * 住院患者信息新增
     * @param tbasic
     * @return
     */
    @WebMethod
    String OUT_HOS_REG(String tbasic);

    /**
     * 住院患者修改
     * @param tbasic
     * @return
     */
    @WebMethod
    String OUT_HOS_CAN(String tbasic);

    /**
     * 出院患者信息新增
     * @param tbasic
     * @return
     */
    @WebMethod
    String DISCHARGE_REG(String tbasic);

    /**
     * 出院患者修改
     * @param tbasic
     * @return
     */
    @WebMethod
   String DISCHARGE_CAN(String tbasic);

    /**
     * 病案封存
     * @param tseal
     * @return
     */
    @WebMethod
    String MEDICAL_RECORD_SEAL(String tseal);
}
