package com.docus.webservice.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.docus.webservice.entity.TBasic;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 病案基本信息 Mapper 接口
 * </p>
 *
 * @author jiashi
 * @since 2021-04-14
 */
public interface TBasicMapper extends BaseMapper<TBasic> {


    List<Map> selectByDisDateList(@Param("startDate") String startDate, @Param("endDate") String endDate, @RequestParam("current") int current, @RequestParam("size") int size);
}
