package com.docus.webservice.utils;

import com.alibaba.fastjson.JSON;


import java.io.File;
import java.io.IOException;
import java.util.Map;

public class FileUtils {
    /**
     * 获取jar包所在位置
     *
     * @return
     */
    public static String currentPath() {
        File dir = new File(".");
        String currentpath = "";
        try {
            currentpath = dir.getCanonicalPath();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return currentpath;
    }



    /**
     * 根据文件路径，从当前项目下获取静态文件中的内容
     *
     * @param fileName 从当前项目下获取json配置文件内容
     * @return json内容
     */
    public static String readJsonFromCurrentProject(String fileName) {
        //获取目录结构
        String path = FileUtils.currentPath();
        String filePath = path + File.separator + fileName;
        //解析json映射文件
        return JsonUtils.readJsonFile(filePath);

    }

}
